Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class NcbServiceAuthType

    java.lang.Object
      nz.co.cks.tms.xml.NcbServiceAuthType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TmsNcbServiceAuth

public abstract class NcbServiceAuthType
extends java.lang.Object
implements java.io.Serializable

Class NcbServiceAuthType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private boolean` | `_has_ncbConnectionLimit` keeps track of state for field: _ncbConnectionLimit
`private boolean` | `_has_ncbId` keeps track of state for field: _ncbId
`private int` | `_ncbConnectionLimit` Field _ncbConnectionLimit
`private int` | `_ncbId` Field _ncbId
`private java.lang.String` | `_ncbServiceAuthComment` Field _ncbServiceAuthComment
`private java.util.Date` | `_ncbServiceAuthDateTime` Field _ncbServiceAuthDateTime
`private java.util.Vector` | `_ncbServiceList` Field _ncbServiceList

Constructor Summary
`NcbServiceAuthType()`

Method Summary
`void` | `addNcbService(int index, NcbService vNcbService)` Method addNcbService
`void` | `addNcbService(NcbService vNcbService)` Method addNcbService
`java.util.Enumeration` | `enumerateNcbService()` Method enumerateNcbService
`int` | `getNcbConnectionLimit()` Method getNcbConnectionLimitReturns the value of field 'ncbConnectionLimit'.
`int` | `getNcbId()` Method getNcbIdReturns the value of field 'ncbId'.
`NcbService[]` | `getNcbService()` Method getNcbService
`NcbService` | `getNcbService(int index)` Method getNcbService
`java.lang.String` | `getNcbServiceAuthComment()` Method getNcbServiceAuthCommentReturns the value of field 'ncbServiceAuthComment'.
`java.util.Date` | `getNcbServiceAuthDateTime()` Method getNcbServiceAuthDateTimeReturns the value of field 'ncbServiceAuthDateTime'.
`int` | `getNcbServiceCount()` Method getNcbServiceCount
`boolean` | `hasNcbConnectionLimit()` Method hasNcbConnectionLimit
`boolean` | `hasNcbId()` Method hasNcbId
`boolean` | `isValid()` Method isValid
`void` | `removeAllNcbService()` Method removeAllNcbService
`NcbService` | `removeNcbService(int index)` Method removeNcbService
`void` | `setNcbConnectionLimit(int ncbConnectionLimit)` Method setNcbConnectionLimitSets the value of field 'ncbConnectionLimit'.
`void` | `setNcbId(int ncbId)` Method setNcbIdSets the value of field 'ncbId'.
`void` | `setNcbService(int index, NcbService vNcbService)` Method setNcbService
`void` | `setNcbService(NcbService[] ncbServiceArray)` Method setNcbService
`void` | `setNcbServiceAuthComment(java.lang.String ncbServiceAuthComment)` Method setNcbServiceAuthCommentSets the value of field 'ncbServiceAuthComment'.
`void` | `setNcbServiceAuthDateTime(java.util.Date ncbServiceAuthDateTime)` Method setNcbServiceAuthDateTimeSets the value of field 'ncbServiceAuthDateTime'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _has_ncbConnectionLimit

    private boolean _has_ncbConnectionLimit

  keeps track of state for field: _ncbConnectionLimit

### _has_ncbId

    private boolean _has_ncbId

  keeps track of state for field: _ncbId

### _ncbConnectionLimit

    private int _ncbConnectionLimit

  Field _ncbConnectionLimit

### _ncbId

    private int _ncbId

  Field _ncbId

### _ncbServiceAuthComment

    private java.lang.String _ncbServiceAuthComment

  Field _ncbServiceAuthComment

### _ncbServiceAuthDateTime

    private java.util.Date _ncbServiceAuthDateTime

  Field _ncbServiceAuthDateTime

### _ncbServiceList

    private java.util.Vector _ncbServiceList

  Field _ncbServiceList

Constructor Detail

### NcbServiceAuthType

    public NcbServiceAuthType()

Method Detail

### addNcbService

    public void addNcbService(int index,
                              NcbService vNcbService)
                       throws java.lang.IndexOutOfBoundsException

  Method addNcbService

  Parameters:
    `index` -
    `vNcbService` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addNcbService

    public void addNcbService(NcbService vNcbService)
                       throws java.lang.IndexOutOfBoundsException

  Method addNcbService

  Parameters:
    `vNcbService` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### enumerateNcbService

    public java.util.Enumeration enumerateNcbService()

  Method enumerateNcbService

### getNcbConnectionLimit

    public int getNcbConnectionLimit()

  Method getNcbConnectionLimitReturns the value of field 'ncbConnectionLimit'.

  Returns:
    the value of field 'ncbConnectionLimit'.

### getNcbId

    public int getNcbId()

  Method getNcbIdReturns the value of field 'ncbId'.

  Returns:
    the value of field 'ncbId'.

### getNcbService

    public NcbService[] getNcbService()

  Method getNcbService

### getNcbService

    public NcbService getNcbService(int index)
                             throws java.lang.IndexOutOfBoundsException

  Method getNcbService

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getNcbServiceAuthComment

    public java.lang.String getNcbServiceAuthComment()

  Method getNcbServiceAuthCommentReturns the value of field 'ncbServiceAuthComment'.

  Returns:
    the value of field 'ncbServiceAuthComment'.

### getNcbServiceAuthDateTime

    public java.util.Date getNcbServiceAuthDateTime()

  Method getNcbServiceAuthDateTimeReturns the value of field 'ncbServiceAuthDateTime'.

  Returns:
    the value of field 'ncbServiceAuthDateTime'.

### getNcbServiceCount

    public int getNcbServiceCount()

  Method getNcbServiceCount

### hasNcbConnectionLimit

    public boolean hasNcbConnectionLimit()

  Method hasNcbConnectionLimit

### hasNcbId

    public boolean hasNcbId()

  Method hasNcbId

### isValid

    public boolean isValid()

  Method isValid

### removeAllNcbService

    public void removeAllNcbService()

  Method removeAllNcbService

### removeNcbService

    public NcbService removeNcbService(int index)

  Method removeNcbService

  Parameters:
    `index` -

### setNcbConnectionLimit

    public void setNcbConnectionLimit(int ncbConnectionLimit)

  Method setNcbConnectionLimitSets the value of field 'ncbConnectionLimit'.

  Parameters:
    `ncbConnectionLimit` - the value of field 'ncbConnectionLimit'.

### setNcbId

    public void setNcbId(int ncbId)

  Method setNcbIdSets the value of field 'ncbId'.

  Parameters:
    `ncbId` - the value of field 'ncbId'.

### setNcbService

    public void setNcbService(int index,
                              NcbService vNcbService)
                       throws java.lang.IndexOutOfBoundsException

  Method setNcbService

  Parameters:
    `index` -
    `vNcbService` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setNcbService

    public void setNcbService(NcbService[] ncbServiceArray)

  Method setNcbService

  Parameters:
    `ncbServiceArray` -

### setNcbServiceAuthComment

    public void setNcbServiceAuthComment(java.lang.String ncbServiceAuthComment)

  Method setNcbServiceAuthCommentSets the value of field 'ncbServiceAuthComment'.

  Parameters:
    `ncbServiceAuthComment` - the value of field 'ncbServiceAuthComment'.

### setNcbServiceAuthDateTime

    public void setNcbServiceAuthDateTime(java.util.Date ncbServiceAuthDateTime)

  Method setNcbServiceAuthDateTimeSets the value of field 'ncbServiceAuthDateTime'.

  Parameters:
    `ncbServiceAuthDateTime` - the value of field 'ncbServiceAuthDateTime'.

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD